'From VisualWorks(TM), Release 1.0 of 8 October 1992 on 15 May 1994 at 4:22:17 pm'!



!OrderedCollection methodsFor: 'random'!

oneRandomExcept: anElement
	"Return pseudo-randomly one element of the collection.
	We assume that the client checks that there is at least  one more element than anElement."

	| i item |
	item := anElement.
	[item = anElement] whileTrue:
		[i := 1 + ((Random new next) * (self size)) truncated.
		item := self at: i].
	^item!

removeOneRandom
	"Remove pseudo-randomly one element of the bag."

	^self removeAtIndex:
		1 + ((Random new next) * (self size)) truncated! !